ch.qos.logback.classic.pattern

## Class ClassOfCallerConverter

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<ILoggingEvent>
      - - ch.qos.logback.classic.pattern.ClassicConverter
        - - ch.qos.logback.classic.pattern.NamedConverter
          - - ch.qos.logback.classic.pattern.ClassOfCallerConverter

All Implemented Interfaces:
  ContextAware, LifeCycle

    public class ClassOfCallerConverter
    extends NamedConverter

### Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
Constructor and Description
`ClassOfCallerConverter()`

### Method Summary

Methods
`protected java.lang.String` `getFullyQualifiedName(ILoggingEvent event)` Gets fully qualified name from event.

### Methods inherited from class ch.qos.logback.classic.pattern.NamedConverter

`convert, start`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassOfCallerConverter

    public ClassOfCallerConverter()

### Method Detail

#### getFullyQualifiedName

    protected java.lang.String getFullyQualifiedName(ILoggingEvent event)

Description copied from class: `NamedConverter`
Gets fully qualified name from event.

Specified by:
  `getFullyQualifiedName` in class `NamedConverter`
Parameters:
  `event` - The LoggingEvent to process, cannot not be null.
Returns:
  name, must not be null.